import java.awt.*;
import java.applet.*;

public class CanvasApplet extends Applet
{
    CustomCanvas canvas;

    public void init()
    {
        setLayout(new BorderLayout());

        Button button = new Button("Color");
        add("North", button);

        canvas = new CustomCanvas();
        add("Center", canvas);

        resize(200, 250);
    }

    public boolean action(Event evt, Object arg)
    {
        if (arg == "Color")
            canvas.swapColor();

        return true;
    }
}

class CustomCanvas extends Canvas
{
    Color color;

    public CustomCanvas()
    {
        color = Color.black;
    }

    public void paint(Graphics g)
    {
        Rectangle r = bounds();
        g.setColor(color);
        g.fillRect(0, 0, r.width, r.height);
        g.setColor(Color.white);
        g.drawString("CANVAS", 72, 90);
    }

    public void swapColor()
    {
        if (color == Color.black)
            color = Color.red;
        else if (color == Color.red)
            color = Color.green;
        else
            color = Color.black;

        repaint();
    }
}
